# PDL.spec
%define name perl-PDL
%define real_name PDL
%define version 2.003
%define release 4mdk

Summary: perlDL, an efficient numerical language for scientific computing
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Languages 
Buildroot: /var/tmp/%{name}-buildroot/
Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/PDL/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}
Requires: Mesa >= 3.0
Obsoletes: PDL

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
make install PREFIX="$RPM_BUILD_ROOT/%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/*.3
mv $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/lib/perl5/man/man1
bzip2 -9f $RPM_BUILD_ROOT/usr/lib/perl5/man/man1/*.1

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Core/Core.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Core/Core.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Ops/Ops.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Ops/Ops.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Primitive/Primitive.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Primitive/Primitive.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Slices/Slices.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Slices/Slices.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Tests/Tests.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Tests/Tests.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Math/Math.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Math/Math.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/IIS/IIS.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/IIS/IIS.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/TriD/Rout/Rout.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/TriD/Rout/Rout.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/OpenGL/OpenGL.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/OpenGL/OpenGL.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/OpenGLQ/OpenGLQ.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Graphics/OpenGLQ/OpenGLQ.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Misc/Misc.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Misc/Misc.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Pnm/Pnm.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Pnm/Pnm.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Browser/Browser.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/IO/Browser/Browser.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/ImageRGB/ImageRGB.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/ImageRGB/ImageRGB.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/FFT/FFT.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/FFT/FFT.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Fit/Gaussian/Gaussian.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Fit/Gaussian/Gaussian.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Image2D/Image2D.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/Image2D/Image2D.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/ImageND/ImageND.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/ImageND/ImageND.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/CallExt/CallExt.so
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/CallExt/CallExt.bs
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/PDL/.packlist
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Lite.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/AutoLoader.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/default.perldlrc
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/LiteF.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Options.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Philosophy.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Internals.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Tips.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Dataflow.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Indexing.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/FAQ.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Delta.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Objects.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Impatient.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Intro.pod
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/Dump.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/Var.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/PDLCode.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/XS.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/Dims.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/PdlParObj.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/SymTab.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/Signature.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/Struct.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP/CType.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/PP.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Types.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdlsimple.h
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdl.h
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdlmagic.h
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/Dev.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/typemap.pdl
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdlthread.h
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core/pdlcore.h
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Version.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Config.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Core.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Exporter.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Dbg.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Basic.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Ops.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Primitive.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Slices.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Tests.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Math.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/TriD2.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/General.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/Screen.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/PGPLOT_demo.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/TriDGallery.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Demos/TriD1.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Doc.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Doc/Perldl.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Doc/Config.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Pod/Parser.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Pod/Usage.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Pod/Select.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/PGPLOT.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/IIS.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/GL.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Pyramid.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Control3D.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Lines.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/GraphBox.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/MathGraph.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/GoBoard.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Cube.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Tk.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/VRML.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Geomview.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Image.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/SimpleScaler.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Quaternion.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Surface.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Objects.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Mesh.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/TextObjects.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Polygonize.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/OOGL.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Logo.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/ArcBall.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Graph.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD/Rout.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/TriD.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/OpenGL.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/OpenGLQ.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/VRML/Protos.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Graphics/VRML.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/FastRaw.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/Misc.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/FlexRaw.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/Pnm.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/Pic.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/Browser.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/IO/NDF.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Gaussian.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Opt/Simplex.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/ImageRGB.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/FFT.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Filter/LinPred.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Filter/Linear.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Fit/Gaussian.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Fit/Polynomial.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/Image2D.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/ImageND.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL/CallExt.pm
/usr/lib/perl5/site_perl/5.005/i386-linux/PDL.pm
/usr/lib/perl5/man/man3/PDL::PP::Dump.3.bz2
/usr/lib/perl5/man/man3/PDL::PP::Signature.3.bz2
/usr/lib/perl5/man/man3/PDL::Types.3.bz2
/usr/lib/perl5/man/man3/PDL::Dbg.3.bz2
/usr/lib/perl5/man/man3/PDL::Exporter.3.bz2
/usr/lib/perl5/man/man3/PDL::Core.3.bz2
/usr/lib/perl5/man/man3/PDL::Basic.3.bz2
/usr/lib/perl5/man/man3/PDL::Ops.3.bz2
/usr/lib/perl5/man/man3/PDL::Primitive.3.bz2
/usr/lib/perl5/man/man3/PDL::Slices.3.bz2
/usr/lib/perl5/man/man3/PDL::Tests.3.bz2
/usr/lib/perl5/man/man3/PDL::Math.3.bz2
/usr/lib/perl5/man/man3/PDL::AutoLoader.3.bz2
/usr/lib/perl5/man/man3/PDL::Pod::Usage.3.bz2
/usr/lib/perl5/man/man3/PDL::Pod::Parser.3.bz2
/usr/lib/perl5/man/man3/PDL::Pod::Select.3.bz2
/usr/lib/perl5/man/man3/PDL::Polynomial.3.bz2
/usr/lib/perl5/man/man3/PDL::Doc.3.bz2
/usr/lib/perl5/man/man3/PDL::Doc::Perldl.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::PGPLOT.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::IIS.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::OpenGLQ.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::TriD::Rout.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::TriD::MathGraph.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::TriD::Tk.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::TriD::VRML.3.bz2
/usr/lib/perl5/man/man3/PDL::Graphics::TriD.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::FastRaw.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::Misc.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::FlexRaw.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::Pnm.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::Browser.3.bz2
/usr/lib/perl5/man/man3/PDL::IO::NDF.3.bz2
/usr/lib/perl5/man/man3/PDL::Opt::Simplex.3.bz2
/usr/lib/perl5/man/man3/PDL::ImageRGB.3.bz2
/usr/lib/perl5/man/man3/PDL::FFT.3.bz2
/usr/lib/perl5/man/man3/PDL::Fit::Gaussian.3.bz2
/usr/lib/perl5/man/man3/PDL::LinPred.3.bz2
/usr/lib/perl5/man/man3/PDL::Linear.3.bz2
/usr/lib/perl5/man/man3/PDL::Image2D.3.bz2
/usr/lib/perl5/man/man3/PDL::ImageND.3.bz2
/usr/lib/perl5/man/man3/PDL::CallExt.3.bz2
/usr/lib/perl5/man/man3/PDL::Gaussian.3.bz2
/usr/lib/perl5/man/man1/PDL::Dataflow.1.bz2
/usr/lib/perl5/man/man1/PDL::Delta.1.bz2
/usr/lib/perl5/man/man1/PDL::FAQ.1.bz2
/usr/lib/perl5/man/man1/PDL::Impatient.1.bz2
/usr/lib/perl5/man/man1/PDL::Indexing.1.bz2
/usr/lib/perl5/man/man1/PDL::Internals.1.bz2
/usr/lib/perl5/man/man1/PDL::Objects.1.bz2
/usr/lib/perl5/man/man1/PDL::PP.1.bz2
/usr/lib/perl5/man/man1/PDL::Philosophy.1.bz2
/usr/lib/perl5/man/man1/PDL::Tips.1.bz2
/usr/lib/perl5/man/man1/pdl.1.bz2
/usr/lib/perl5/man/man1/perldl.1.bz2
/usr/bin/perldl

%changelog
* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>

- added section 1 man pages (mainly internals of PDL).

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>

- added perldl, although not mandatory it helps a lot for tutorial and doc.

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>

- rebuild with new Mesa

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>

- upgraded to version 2.003
- fixed missing defattr.
- Build release.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix %{name} problems to perl-PDL (all perl modules need to begin with perl)
- Add a Requires: Mesa

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- first version of rpm.

# end of file
